package ar.edu.unju.fi.poo01;

import java.util.ArrayList;
import java.util.List;

import ar.edu.unju.fi.poo01.modelo.Producto;

public class MainProductos {
	/**
	 * Genera 3 productos y los devuelve en una lista
	 * @return
	 */
	public static List<Producto> generarLista(){
		List<Producto>lista = new ArrayList<>();
		lista.add(new Producto(1, "Celular", 100.0));
		lista.add(new Producto(2, "Camara", 200.0));
		lista.add(new Producto(3, "Televisor", 300.0));
		return lista;
	}
	
	
	/**
	 * Muestra la lista de productos
	 * @param lista
	 */
	public static void mostraLista(List<Producto> lista) {
		for(Producto o: lista)
			System.out.println(o);		
	}

	public static void main(String[] args) {

		List<Producto> lista = generarLista();
		mostraLista(lista);

	}

}
